Message

Wed, March, 20th 2019

BC:
Are you upgrading to 2018 #Cerner Millennium and concerned about Panther compatibility? No need to worry. Panther is compatible with all versions of #Cerner Millennium - even 2018. #CernerExperts
https://t.co/jbmL0ta1df
Are you upgrading to 2018 #Cerner Millennium and concerned about Panther compatibility? No need to worry. Panther is compatible with all versions of #Cerner Millennium - even 2018. #CernerExperts https://t.co/jbmL0ta1df
Delivered Read

Online